Package org.eclipse.emf.cdo.server.db.evolution.phased

# Class BasicPhaseHandler

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.server.db.evolution.phased.BasicPhaseHandler

All Implemented Interfaces:
  `Phase.Handler`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Direct Known Subclasses:
  `DefaultChangeDetector`, `DefaultRepositoryExporter`, `DefaultSchemaMigrator`

public abstract class BasicPhaseHandler extends org.eclipse.net4j.util.lifecycle.Lifecycle implements Phase.Handler
Basic implementation of a `phase handler`.

Since:
  4.14
Author:
  Eike Stepper
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`org.eclipse.net4j.util.event.Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

### Fields inherited from interface org.eclipse.emf.cdo.server.db.evolution.phased.Phase.Handler

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`BasicPhaseHandler()`
Creates a basic phase handler.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doBeforeActivate()`
`final Phase`
`getPhase()`
Returns the phase this handler is associated with.
`final void`
`setPhase(Phase phase)`
Sets the phase this handler is associated with.

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.server.db.evolution.phased.Phase.Handler

`execute`

## Constructor Details

### BasicPhaseHandler

public BasicPhaseHandler()
Creates a basic phase handler.

## Method Details

### getPhase

public final Phase getPhase()
Returns the phase this handler is associated with.

Specified by:
  `getPhase` in interface `Phase.Handler`

### setPhase

public final void setPhase(Phase phase)
Sets the phase this handler is associated with.

Specified by:
  `setPhase` in interface `Phase.Handler`

### doBeforeActivate

protected void doBeforeActivate() throws Exception

Overrides:
  `doBeforeActivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
Throws:
  `Exception`